Subject: Re: [stir] URN SOS

From: Robert Sparks <[email-masked]>
Date: Wed, 29 Jan 2020 14:00:08 -0600

Just to make sure this part of the thread is addressed:

The context was a discussion about allowing calls that used an SOS URI 
as the call destination (the To: header field value) to be covered by 
STIR. The concern was raised on whether STIR supports that at the 
moment.  There was concern that the discussion of identities in RFC8225, 
constrained the use of 'uri' to really only mean SIP urls. Discussion 
started, and should continue here about whether that's correct, and if 
so, what changes would need to be made.

I don't think anyone intended to propose a _new_ URI. I think 
speaking/typing quickly introduced that confusion, and I believe we're 
past that.

My own opinion is that 8224/8225 don't constrain the use of 'uri' in a 
way that prevents putting the sos urn in the dest, and that the most we 
need to do is think about the consequences of doing so (to look for 
unexpected rough edges), and possibly provide some information guidance 
on their use.

RjS

> On 12/23/19 11:51 AM, DOLLY, MARTIN C wrote:
>> Paul
>>
>> That is what was discussed in the meeting
>
> If it is to be discussed on this list, then can some of the context be 
> brought here to the list as well?
>
>     Thanks,
>     Paul
>
>> Regards
>>
>> Martin C. Dolly
>>
>> Lead Member of Technical Staff
>>
>> Government & Services Standards
>>
>> AT&T
>>
>> Cell: +1.609.903.3360 <tel:+1.609.903.3360>
>>
>> Email: [email-masked] <mailto:[email-masked]>
>>
>>
>> On Dec 23, 2019, at 10:09 AM, Paul Kyzivat <[email-masked] 
>> <mailto:[email-masked]>> wrote:
>>
>>> On 12/23/19 9:02 AM, Anders Kristensen wrote:
>>>> May have to do with the fact that RFC 8224 does not cover URNs:
>>>
>>> If the problem is that URNs aren't covered, then how would replacing 
>>> urn:service:sos with urn:sos solve the problem???
>>>
>>> The use of urn:service:sos is institutionalized now in a lot of 
>>> documents. Changing that seems like a hard problem. How about fixing 
>>> RFC 8224?
>>>
>>>    Thanks,
>>>    Paul
>>>
>>>>    1 
>>>> <https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf..org_html_rfc8224-23section-2D1&d=DwIGaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=G9v8uCSSQhCmpw7ItG0r2g&m=LlWDlfhDO4Vkx9MdBi1k_YjkLmARgGgAlH6FjS6mDmc&s=VQ2OV0oQ5RymRKh71MqRjUjZoVwk433iXVncEctnZLU&e= 
>>>> >. Introduction
>>>>    This document provides enhancements to the existing mechanisms for
>>>>    authenticated identity management in the Session Initiation 
>>>> Protocol
>>>>    (SIP) [RFC3261 
>>>>  <https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_rfc3261&d=DwIGaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=G9v8uCSSQhCmpw7ItG0r2g&m=LlWDlfhDO4Vkx9MdBi1k_YjkLmARgGgAlH6FjS6mDmc&s=BGjbtQQGGuj4m4lgJ-bpTO2NmEkBs6vCssCmUena32c&e= 
>>>> >].  An identity, for the purposes of this document, is
>>>>    defined as either
>>>>    o  a canonical address-of-record (AoR) SIP URI employed to reach a
>>>>       user (such as "sip:[email-masked] 
>>>>  <mailto:[email-masked]>") or
>>>>    o  a telephone number, which commonly appears either in a tel URI
>>>>       [RFC3966 
>>>>  <https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_rfc3966&d=DwIGaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=G9v8uCSSQhCmpw7ItG0r2g&m=LlWDlfhDO4Vkx9MdBi1k_YjkLmARgGgAlH6FjS6mDmc&s=dHRjXLr5_Y_dbtfZ8PvYXJTxJNDbByiejlPvh89HYLU&e= 
>>>> >] or as the user portion of a SIP URI.
>>>> On Sun, Dec 22, 2019 at 1:14 PM Russ Housley <[email-masked] 
>>>> <mailto:[email-masked]> <mailto:[email-masked]>> wrote:
>>>>    Richard:
>>>>    It seems to meet the need that was raised in the discussion.  
>>>> Others
>>>>    can comment if I missed some important context.
>>>>    Russ
>>>>>    On Dec 22, 2019, at 3:38 PM, Richard Barnes <[email-masked] 
>>>>> <mailto:[email-masked]>
>>>>>    <mailto:[email-masked]>> wrote:
>>>>>
>>>>>    Not sure if this is what you’re thinking of, or if this has
>>>>>    already been mentioned, but: urn:service:sos exists.
>>>>>
>>>>> https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_rfc5031&d=DwIGaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=G9v8uCSSQhCmpw7ItG0r2g&m=LlWDlfhDO4Vkx9MdBi1k_YjkLmARgGgAlH6FjS6mDmc&s=YFxpwD-sFZG8qj0YD1Q3dYHCnMgjeMIRRHjMWcakYeI&e= 
>>>>>
>>>>>
>>>>>    On Sat, Dec 21, 2019 at 17:26 Russ Housley 
>>>>> <[email-masked] <mailto:[email-masked]>
>>>>>    <mailto:[email-masked]>> wrote:
>>>>>
>>>>>        At the session at IETF 106, there was a suggestion that a URN
>>>>>        SOS be defined.  I am sending this note to start a discussion
>>>>>        on that topic.
>>>>>
>>>>>        Russ
>>>>>        _______________________________________________
>>>>>        stir mailing list
>>>>> [email-masked] <mailto:[email-masked]> <mailto:[email-masked]>
>>>>> https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_stir&d=DwIGaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=G9v8uCSSQhCmpw7ItG0r2g&m=LlWDlfhDO4Vkx9MdBi1k_YjkLmARgGgAlH6FjS6mDmc&s=AzNKVu9D7KOUqyaaebb1l-WkXrq-sBd4hBOP1NZESsU&e= 
>>>>>
>>>>>    _______________________________________________
>>>>>    stir mailing list
>>>>> [email-masked] <mailto:[email-masked]> <mailto:[email-masked]>
>>>>> https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_stir&d=DwIGaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=G9v8uCSSQhCmpw7ItG0r2g&m=LlWDlfhDO4Vkx9MdBi1k_YjkLmARgGgAlH6FjS6mDmc&s=AzNKVu9D7KOUqyaaebb1l-WkXrq-sBd4hBOP1NZESsU&e= 
>>>>>
>>>>    _______________________________________________
>>>>    stir mailing list
>>>> [email-masked] <mailto:[email-masked]> <mailto:[email-masked]>
>>>> https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_stir&d=DwIGaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=G9v8uCSSQhCmpw7ItG0r2g&m=LlWDlfhDO4Vkx9MdBi1k_YjkLmARgGgAlH6FjS6mDmc&s=AzNKVu9D7KOUqyaaebb1l-WkXrq-sBd4hBOP1NZESsU&e= 
>>>> _______________________________________________
>>>> stir mailing list
>>>> [email-masked] <mailto:[email-masked]>
>>>> https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_stir&d=DwIGaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=G9v8uCSSQhCmpw7ItG0r2g&m=LlWDlfhDO4Vkx9MdBi1k_YjkLmARgGgAlH6FjS6mDmc&s=AzNKVu9D7KOUqyaaebb1l-WkXrq-sBd4hBOP1NZESsU&e= 
>>>>
>>>
>>> _______________________________________________
>>> stir mailing list
>>> [email-masked] <mailto:[email-masked]>
>>> https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_stir&d=DwIGaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=G9v8uCSSQhCmpw7ItG0r2g&m=LlWDlfhDO4Vkx9MdBi1k_YjkLmARgGgAlH6FjS6mDmc&s=AzNKVu9D7KOUqyaaebb1l-WkXrq-sBd4hBOP1NZESsU&e= 
>>>
>
> _______________________________________________
> stir mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/stir

---

From: Paul Kyzivat <[email-masked]>
Date: Wed, 29 Jan 2020 15:17:25 -0500

> unexpected rough edges), and possibly provide some information guidance 

Thanks. That relieves my concern.

I look forward to seeing more on this.
	
	Thanks,
	Paul

>>>>>    It seems to meet the need that was raised in the discussion. Others